felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Moloney <t.molo...@verizon.net>
Subject How can I use Java SE 6 and Felix?
Date Wed, 09 Apr 2008 03:18:01 GMT
I'm currently developing a set of bundles using Java SE 6, Maven, 
Eclipse, and Q4E.  At the command line, everything appears to be working 
fine.  However, I get some odd  errors inside Eclipse (errors concerning 
generics and missing symbols which are in JAXB generated code).  One of 
the good people on the Q4E mailing list said that these errors are 
probably due to org.osgi.foundation providing some java.* classes which 
are version 1.4 or earlier.

- What is the purpose of org.osgi.foundation since the framework needs 
to be run by a JRE that provides the java.* classes?
- Is it possible to create bundles that use Java 5+ features (like 
generics, additional collections classes, etc.)?
- How can I correctly build and run bundles using these newer features?

I realize that these are fundamental questions but I appear to be 
missing the fundamentals.  Is there is documentation available that can 
help be get a good understanding of exactly what's going on here?


View raw message